summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Michael Edie2019-03-26 02:28:59 +0100
committer Willy Sudiarto Raharjo2019-03-26 02:28:59 +0100
commitc8978920883ac4444be5cf776f1750c4f195776e (patch)
tree9d7db5b6c3a91d681ade348961021f07a9bceacc /misc
parent609419d697119c73c6dc527ca5baa7e454182942 (diff)
downloadslackbuilds-c8978920883ac4444be5cf776f1750c4f195776e.tar.gz
misc/lastpass-cli: Added (Password Manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/lastpass-cli/README5
-rw-r--r--misc/lastpass-cli/lastpass-cli.SlackBuild93
-rw-r--r--misc/lastpass-cli/lastpass-cli.info10
-rw-r--r--misc/lastpass-cli/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/misc/lastpass-cli/README b/misc/lastpass-cli/README
new file mode 100644
index 0000000000..29301b54cc
--- /dev/null
+++ b/misc/lastpass-cli/README
@@ -0,0 +1,5 @@
+LastPass is a password manager and password generator that
+locks your passwords and personal information in a secure vault.
+The standard version of LastPass comes with a web interface, but
+also includes plugins for various web browsers and apps for many
+smartphones.
diff --git a/misc/lastpass-cli/lastpass-cli.SlackBuild b/misc/lastpass-cli/lastpass-cli.SlackBuild
new file mode 100644
index 0000000000..5564d9d75d
--- /dev/null
+++ b/misc/lastpass-cli/lastpass-cli.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for lastpass-cli
+
+# Copyright 2019 Michael Edie Orlando, FL USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lastpass-cli
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+make install-doc MANDIR=$PKG/usr/man
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+cp build/lpass $PKG/usr/bin
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md README.md COPYING CONTRIBUTING LICENSE.OpenSSL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/lastpass-cli/lastpass-cli.info b/misc/lastpass-cli/lastpass-cli.info
new file mode 100644
index 0000000000..6db7876d61
--- /dev/null
+++ b/misc/lastpass-cli/lastpass-cli.info
@@ -0,0 +1,10 @@
+PRGNAM="lastpass-cli"
+VERSION="l.3.1"
+HOMEPAGE="https://www.lastpass.com"
+DOWNLOAD="https://github.com/lastpass/lastpass-cli/releases/download/v1.3.1/lastpass-cli-1.3.1.tar.gz"
+MD5SUM="ba56790f446e571a7160084a495f7043"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michael Edie"
+EMAIL="michael@sawbox.net"
diff --git a/misc/lastpass-cli/slack-desc b/misc/lastpass-cli/slack-desc
new file mode 100644
index 0000000000..0415e45c5a
--- /dev/null
+++ b/misc/lastpass-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|)
+lastpass-cli: lastpass-cli (Password Manager)
+lastpass-cli:
+lastpass-cli: LastPass is a password manager and password generator that
+lastpass-cli: locks your passwords and personal information in a secure vault.
+lastpass-cli: The standard version of LastPass comes with a web interface, but
+lastpass-cli: also includes plugins for various web browsers and apps for many
+lastpass-cli: smartphones.
+lastpass-cli:
+lastpass-cli: https://www.lastpass.com/
+lastpass-cli:
+lastpass-cli: